body {
  font-family: Arial, sans-serif;
  margin: 0;
  background: #000000;
  color: #FFFFFF;
}

header {
  text-align: center;
  padding: 40px 20px;
}

.subtitle {
  color: #777;
}

.subtit {
  color: #AAA;
}

nav a {
  margin: 0 10px;
  text-decoration: none;
  color: #777;
}

nav a:hover {
  text-decoration: underline;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding: 20px;
}

.article {
  display: grid;
  gap: 20px;
  padding: 20px;
}


.gallery img {
  width: auto;
  height: 200px;
  object-fit: cover;
  flex-shrink: 0;
}

.prompt {
  font-family: "Courier New", Courier, monospace;
}

.subtit {
  font: small;
}



.tinygallery {
  display: grid;
  flex-direction: column;
  gap: 10px;
}


.biggallery {
  display: grid;
  grid-template-columns: 1fr;
  padding: 20px;
}

.biggallery img {
  width: 100%;
  height: auto;
  display: block;
}

.midigallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(800px, 1fr));
  gap: 20px;
  padding: 20px;
}

.album {
  text-decoration: none;
  color: inherit;
}

.thumbalbum {
  text-decoration: none;
  color: inherit;
}

.tinyalbum {
  display: flex;
  align-items: center;
  gap: 12px;
}

.tinyalbum span {
  line-height: 1.4;
}



.tinyalbum img {
  width: auto;
  height: 80px;
  object-fit: cover;
  flex-shrink: 0;
}

.album:hover img {
  opacity: 0.85;
}

.thumbalbum:hover img {
  opacity: 0.85;
}

.tinyalbum:hover img {
  opacity: 0.85;
}


footer {
  text-align: center;
  padding: 20px;
  font-size: 0.9em;
  color: #777;
}
.code-wrapper {
  position: relative;
  background: #111;
  color: #eee;
  border-radius: 8px;
  padding: 10px;

  /* 👉 max 1/3 der Höhe */
  max-height: 33vh;

  /* 👉 eigene Scroll-Region */
  overflow: auto;
}

/* Code selbst */
.code-wrapper pre {
  margin: 0;
  font-family: monospace;
  font-size: 13px;

  /* 👉 verhindert große Zeilenabstände */
  line-height: 1.3;

  /* 👉 keine Extra-Abstände */
  white-space: pre;
}

/* Optional: wenn lange Zeilen umbrechen sollen */
.code-wrapper pre.wrap {
  white-space: pre-wrap;
}

/* Copy Button */
.copy-btn {
  position: sticky;   /* bleibt oben sichtbar */
  top: 5px;
  float: right;

  background: #333;
  color: #fff;
  border: none;
  padding: 4px 8px;
  cursor: pointer;
  border-radius: 4px;
  font-size: 12px;
}

.copy-btn:hover {
  background: #555;
}
.green {
  color: green;
}

.orange {
  color: orange;
}